Basque Cyber Security Centre - Zibersegurtasun Euskal Zentroa

Hainbat ahultasun Drupal-en nukleoan

Argitalpen data: 2018/10/18

Garrantzia: Kritikoa

Kaltetutako baliabideak:

  • Drupal, 7.x eta 8.x bertsioak

Azalpena:

Drupalek argitaratu duen segurtasun buletin batean 5 ahultasunen berri eman du. Horien ondorioz sarbide berezi batzuetarako baimenen saihestea, gune arbitrarioetara birbideratzeak edo urrunetik kodea exekutatzea gerta liteke.

Konponbidea:

Ezarrita dagoen bertsioaren arabera, ondoko bertsio hauetako batera eguneratu beharra dago: 7.60, 8.6.2 edo 8.5.8.

Xehetasuna:

Ondoren zehazten dira NISTen CMSSen arabera Drupalek Critical modura sailkatu dituen ahultasunak:

  • Injekzioa DefaultMailSystem::mail()-en. Email bat bidaltzen denean, aldagai batzuk ez dira modu egokian garbitzen. Zehazki esateko, komandoen lerroan erabilitako argumentuak eduki litzakete. Egoera horren ondorioz, erasotzaile batek kodea exekuta lezake urrunetik.
  • Testuinguruko loturen balioztapena. Lotura horien moduluak ez ditu modu nahikoan balioztatzen eskatutakoak. Ahultasun hau baliatu ahal izateko, erasotzaileak access contextual links baimena duen rol bat izan behar du, eta horren ondorioz urrunetik kodea exekuta liteke.
Etiketak: Eguneraketa, Edukien kudeatzailea, Ahultasuna